---
title: Contribute
parent: Development
nav_order: 5
has_children: true
---
# Contribute

Depending on your level of experience, contributing to the project might seem overwhelming at first. Don't worry if that is the case, once you are familiar with the tools and the workflows we use, it becomes really simple. 

First, you need to understand that you can contribute to the project in several ways. For instance, you can submit your C++ code, or you can also submit a specific change in the [documentation webpage](https://mne-cpp.github.io/). Through the following guides, you will understand how to make these changes and, most importantly, how to submit them so that the project maintainers review them. 

There are three main aspects to understand:
 - How to contribute to the code of the project itself. You can see our [contribution guide](contr_guide.md). Make sure you understand our [coding conventions](contr_style.md). These are simply a set of minimal rules to enforce consistency while writing code for this project.
 - Understand how to [contribute to the documentation webpage](contr_docuimprovements.md) of the MNE-CPP project.
 - Both contributions will require you to understand how we use [Git](https://git-scm.com/) and [GitHub](www.github.com) in MNE-CPP. Please make sure you are familiar with GitHub Actions and our [Git Workflow](contr_git.md).

